# Test a Webhook Subscription

Sends a test event matching one of the subscribed event types to the subscription URL and returns the HTTP response status. When the subscription has more than one event type, eventType must be provided.

Endpoint: POST /webhooks/{id}/test
Version: 1.0.0
Security: api_key

## Header parameters:

  - `x-managed-company-id` (string)
    Optional: the ID of the managed company on behalf of which the request is made

## Path parameters:

  - `id` (string, required)
    Unique identifier of the webhook to test

## Request fields (application/json):

  - `eventType` (string)
    Event type to test. Required when the webhook subscription has more than one configured event type.
    Enum: "job.status.changed", "sending.event.file.ready", "sending.event.status.changed", "peppol.document.received"

## Response 200 fields (application/json):

  - `statusCode` (number, required)
    HTTP status code received from the webhook endpoint
    Example: 200

  - `success` (boolean, required)
    Whether the webhook delivery was successful
    Example: true


